New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

php@5.6 removal due to EOL #35679

Merged
merged 1 commit into from Jan 5, 2019

Conversation

Projects
None yet
5 participants
@SMillerDev
Copy link
Contributor

SMillerDev commented Jan 4, 2019

  • Have you followed the guidelines for contributing?
  • Have you checked that there aren't other open pull requests for the same formula update/change?
  • Have you built your formula locally with brew install --build-from-source <formula>, where <formula> is the name of the formula you're submitting?
  • Is your test running fine brew test <formula>, where <formula> is the name of the formula you're submitting?
  • Does your build pass brew audit --strict <formula> (after doing brew install <formula>)?

PHP 5.6 is EOL since december 31st.

@SMillerDev SMillerDev requested a review from javian Jan 4, 2019

@SMillerDev SMillerDev force-pushed the SMillerDev:php56/EOL branch from f7a8654 to 68831aa Jan 4, 2019

@javian

This comment has been minimized.

Copy link
Member

javian commented Jan 4, 2019

I'm all for this but perhaps and we should also refer to the discussion in #34739 where we removed 7.0 for similar reasons. Since we have 10k installs since the final update in december it is likely that it will be noticed.

@javian
Copy link
Member

javian left a comment

There's also an entry in "formula_renames.json" that can be removed.

@SMillerDev

This comment has been minimized.

Copy link
Contributor

SMillerDev commented Jan 4, 2019

Done, I'm not sure if there's anything we can do about the discussion though. There's also people using 5.3, I don't think that's enough reason to keep supporting it. IMHO EOL is EOL, we didn't come up with this date, upstream did.

@SMillerDev SMillerDev force-pushed the SMillerDev:php56/EOL branch from 68831aa to d038cd0 Jan 4, 2019

@javian

This comment has been minimized.

Copy link
Member

javian commented Jan 4, 2019

No, I don't think anything should change about it but since a similar discussion is likely to appear we can just refer to the discussion in the old issue to not have to repeat it again from the beginning.

@SMillerDev SMillerDev force-pushed the SMillerDev:php56/EOL branch from d038cd0 to d36cbf4 Jan 4, 2019

@igas

igas approved these changes Jan 5, 2019

@javian

javian approved these changes Jan 5, 2019

@SMillerDev SMillerDev merged commit 37b075c into Homebrew:master Jan 5, 2019

1 check passed

continuous-integration/jenkins/ghprb Build finished.
Details

webflo added a commit to ueberbit/homebrew-php-legacy that referenced this pull request Jan 7, 2019

@pgrenaud

This comment has been minimized.

Copy link

pgrenaud commented Jan 7, 2019

I'm leaving this note here in case someone stumble on this PR in the near future. Not that we condone the use of deprecated software, but I've setup a tap at my organisation to be able to support older software that were not migrated yet. I've already added the php 5.6 formula in anticipation of January first.

You can find the tap here: https://github.com/eXolnet/homebrew-deprecated

@SMillerDev SMillerDev deleted the SMillerDev:php56/EOL branch Jan 10, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment